
* Define locations of files used in examples -- CHANGE THIS.
FILE HANDLE example /NAME = "C:\Dropbox\14_Psyc930MLM\Download\SPSS".

* SPSS code to import data. 
GET FILE = "example/Example4.sav".
DATASET NAME example4 WINDOW=FRONT.

* Adding another version of predictors to be coded 0/1 for low/high.
RECODE freq size (-.5=0) (.5=1) INTO freq01 size01.
EXECUTE.

******************************************************************************
****** 						                 EXAMPLE 4 MODELS							                   ******
******************************************************************************.
DATASET ACTIVATE example5 WINDOW=FRONT.

TITLE "SPSS Empty Means Model: No Random Intercepts (E only)".
MIXED rt BY Subject Item 
   /METHOD = REML
   /PRINT  = SOLUTION TESTCOV
  	/FIXED  = .
TITLE.

TITLE "SPSS Random Intercept for Subjects Model".
MIXED rt BY Subject Item 
   /METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
  	/FIXED  = 
   /RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN).
TITLE.

TITLE "SPSS Random Intercepts for Subjects and Items: Crossed Model".
MIXED rt BY Subject Item 
   /METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
  	/FIXED  = 
   /RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN)
   /RANDOM = INTERCEPT | SUBJECT(Item) COVTYPE(UN).
TITLE.

TITLE "SPSS Random Intercepts for Subjects and Items Crossed Predictive Model".
SUBTITLE "Using BY statement to get cell means and comparisons via EMMEANS".
MIXED rt BY Subject Item freq01 size01  
   /METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
  	/FIXED  = freq01 size01 freq01*size01
   /RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN)
   /RANDOM = INTERCEPT | SUBJECT(Item) COVTYPE(UN)
   /EMMEANS = TABLES(freq01)
   /EMMEANS = TABLES(size01)
   /EMMEANS = TABLES(freq01*size01) COMPARE(freq01)
   /EMMEANS = TABLES(freq01*size01) COMPARE(size01).
TITLE.
SUBTITLE.

TITLE "SPSS Dropping Random Item Intercept".
MIXED rt BY Subject Item freq01 size01  
   /METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
  	/FIXED  = freq01 size01 freq01*size01
   /RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN).
TITLE.

TITLE "SPSS Random Slope for Effect of Freq over Subjects".
SUBTITLE "Removed Freq and Size from BY statement to fit random slope".
MIXED rt BY Subject Item WITH freq01 size01  
   /METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
  	/FIXED  = freq01 size01 freq01*size01
   /RANDOM = INTERCEPT freq01 | SUBJECT(Subject) COVTYPE(UN)
   /RANDOM = INTERCEPT | SUBJECT(Item) COVTYPE(UN).
TITLE.
SUBTITLE.
